org.yaml.snakeyaml.events

## Class ImplicitTuple

- java.lang.Object
- - org.yaml.snakeyaml.events.ImplicitTuple

    public class ImplicitTuple
    extends Object

The implicit flag of a scalar event is a pair of boolean values that indicate if the tag may be omitted when the scalar is emitted in a plain and non-plain style correspondingly.

See Also:
  Events

### Constructor Summary

Constructors
Constructor and Description
`ImplicitTuple(boolean plain, boolean nonplain)`

### Method Summary

Methods
`boolean` `bothFalse()`
`boolean` `canOmitTagInNonPlainScalar()`
`boolean` `canOmitTagInPlainScalar()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ImplicitTuple

    public ImplicitTuple(boolean plain,
                 boolean nonplain)

### Method Detail

#### canOmitTagInPlainScalar

    public boolean canOmitTagInPlainScalar()

Returns:
  true when tag may be omitted when the scalar is emitted in a plain style.

#### canOmitTagInNonPlainScalar

    public boolean canOmitTagInNonPlainScalar()

Returns:
  true when tag may be omitted when the scalar is emitted in a non-plain style.

#### bothFalse

    public boolean bothFalse()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`